---
title: "Learning how to learn"
date: 2022-12-26T11:12:02+04:00
categories: [ '' ]
tags: [ '' ]
draft: false
---

[Learning How to learn](https://www.coursera.org/learn/learning-how-to-learn) by Barbara Oakley has been the [most popular course on Coursera](https://web.archive.org/web/20190207102757/https://www.nytimes.com/2017/08/04/education/edlife/learning-how-to-learn-barbara-oakley.html) and it is free. She has also publish "[A mind for Numbers](https://barbaraoakley.com/books/a-mind-for-numbers/)" which is the book version of the course.

A user has posted his notes on the course for the curious minded when the NYtimes article landed on [Hacker News](https://news.ycombinator.com/item?id=15092707). Below are the user's notes in full form. Original notes can be found [here](https://pastebin.com/JNbGxvpQ).

---

## Module 1 - What is Learning

### Focused/Diffuse Modes Thinking

* Obviously ‘focused’ is when you’re concentrating. Direct approach to solving familiar problems.
* Focused: thoughts move through nicely-paved road of familiar notions (neural pattern looks very tight and directed).
	* encompasses rational, sequential, analytical approaches to thinking
* Diffuse: More of a search function neural pattern. Thoughts move widely. More of a broad/big-picture perspective trying to connect ideas from different places.
* We’re always either in focused or diffuse mode of thinking.
* Use a pinball machine as a visualization technique for this distinction.
* Can access diffused mode a bit more deliberately:
	* Dali tactic: relax in his chair with a key in his hand and be woken by the clatter. Wake up and take new insights into focused mode.
	* Edison used a similar tactic with ball bearings and metal pans.
	* Mind needs to be able to move back and forth between focused and diffuse modes in order to properly ingest/learn.
	* To build neural structure, you need to do a little work every day to grow a ‘neural scaffold to hang your thinking on’.

### What Is Learning

* We are aware of only a small fraction of brain activity (most work is happening in the unconscious mind).

### Procrastination
* Pain areas of brain are activated when you consider doing something you don’t want to do.
* But that feeling of pain/unhappiness disappears shortly after engaging in the task.
* Mental tool: Pomodoro Technique
	* 25 minutes timer.
	* Turn of all interruptions.
	* Focus
	* Reward when you’re done (web surfing, coffee, stretching, chatting, etc)

### Practice Makes Permanent
* Math and science somewhat more difficult to grasp because of the abstract nature of the ideas.
* Neurons become linked together through repeated use.
* The more abstract something is, the more important it is to practice to reinforce the neural thought patterns.
* Practice strengthens the neural connections on each successive application.
* When you’re learning, study hard by focusing intently and then take a break or change your focus to something else for a while.
	* This allows the diffuse mode to take over and the ’neural mortar’ to dry.
	* This is why cramming fails. The diffuse mode never gets a chance to kick in.

### Introduction To Memory
* Working memory vs long term memory.
* Working memory: part that has to do with what you’re immediately and consciously processing in your mind.
	* Working memory can hold about 4 chunks simultaneously
	* Often need to repeat what you’re working with so it you have a chance to apply (e.g. repeat a phone number until you can write it down).
* So short term memory is like an inefficient blackboard.
* Long term memory:
	* Need to revisit things at least a few times to improve the chance you’ll actually be able to retain and later find what you need.
	* Store fundamental concepts and techniques
* New concepts have to move from working memory to Long term memory
* Spaced Repetition Technique:
	* Extending your practice over several days improves chances of retaining.

### Importance of Sleep
* Brain cells shrink when you sleep, creating space for accumulated toxins to be washed out.
* Poor sleep => prevalence of metabolic toxins that inhibit thinking.
* Sleep strengthens important parts of memories and erases the less important ones.
* Brain also rehearses new concepts, especially the tougher aspects, and entrenches them more deeply.
* Sleeping Technique:
	* go over what you’re learning about just before sleeping
	* consciously wanting to dream about it also increases the likelihood that your brain will contemplate that knowledge while sleeping

### Learning Techniques From Dr. Sejnowski
* Learn by doing and by osmosis from people who are experts.
* Just reading a lot of books isn’t necessarily effective.
* Try to ask questions to keep yourself actively engaged with material that might otherwise be boring or not interest you.
* Exercise can be a great way to access the diffuse mode of thinking
* Ideally, you want to be surrounded by other people who are stimulating you and your thinking.
* Once again emphasizes the importance of other people to the creative process. People you can talk to and bounce your ideas off of.

### Study Strategies to Boost Learning
* Referenced article: https://www.aft.org/sites/default/files/periodicals/dunlosky.pdf
* Correct retrieval from memory improves memory performance (i.e. the answer is hidden and a person has to guess at it).
* Practice tests are highly effective study tools for this reason.
* Flash cards are excellent for recall (key term on one side; definition on the other).
* Distributed practice (equivalent to spaced repetition) is a proven strategy.
* Interrogating information for its “why” and connecting new information to related existing information are solid ways of improving understanding and retention.
* Rereading and highlighting (on their own) are less effective for learning.

### Note-taking tools and tips
* Referenced articles: https://hilt.harvard.edu/blog/note-taking-tools-and-tips, http://hilt.harvard.edu/files/hilt/files/notetaking_0.pdf
* Favor using your own words to interpret the content you’re encountering.
* Review your notes immediately after taking them (later same day) and then at intervals thereafter to improve retention.
* Test yourself on content using flash cards or Cornell Notes
* Familiarize yourself with the main ideas or topics before even diving into note-taking.
* Make connections across concepts.
* Optimal note-taking behaviors for long-term retention:
	* Use a framework or organizational style
		* Classified in two categories: linear and non-linear styles
		* Linear obviously most common. Example non-linear is the mapping method.
		* Non-linear methods are useful for improving the process of making connections between “idea units”. This is a deeper level of processing that strengthens long-term retention.
	* Generative activities (e.g. testing yourself) to facilitate connections between ideas
	* Review notes multiple times
	* Need to establish a balance between transcription and comprehension. The working memory is limited and that makes finding this balance that much more crucial. Always ensure you’re doing the extra work of translating what’s being said into your own words and identifying the most critical information.

### Note-taking Systems
* Referenced article: http://sas.calpoly.edu/asc/ssl/notetakingsystems.html#mapping
* Cornell Method
	* Notes in main space (6 inches width)
	* When taking notes from a speaker, skip a few lines between new points.
	* Use left-hand space (2 1/2 inch)  to “label each idea and detail with a keyword or ‘cue’”.
	* After initial note-taking, complete points in the blank lines to the extent possible and, for every significant bit of information, write a “cue” in the left margin.
	* Now you can review cues with notes covered up to see if the “cue” effectively triggers recall of the underlying information.
	* The bottom space of each page should be allotted to a summary of the page’s content, written by you after initial note-taking.
* Outlining Method
	* Precisely what it sounds like (e.g. these notes themselves)
	* Should use when there’s enough time to think about note structure
* Mapping Method
	* graphic representation of information
	* maximizes active participation and emphasizes critical thinking and understanding (required to generate the map structure)
	* also the most difficult with the most variability in implementation
* Charting Method
	* Most useful when content is well-structured and can be converted into a chart format.
	* Need some upfront knowledge of the content’s organization to set up adequate/meaningful columns.
* Sentence Method
	* Effectively stream-of-consciousness note-taking for content that’s heavy and moving fast (not enough time to impose any structure on your notes).
		
### Personal Summary
- Starting to get a sense that results will be realized in learning using a combination of techniques like Cornell Notes, Feynman Method, Mind Mapping, Charting, Flashcards, etc. It’ll be useful to get really familiar with these, learn how to recognize when and where to apply them, and then make sure that the strategy for doing so (e.g. software) is apparent.
- I think the points about using the subconscious/diffuse mode of thinking are well-intentioned if a little difficult to put into practice.
- Spaced repetition is also hard to implement for a busy knowledge worker. Might also need to consider what kinds of software are available to make that really easy (e.g. Anki).
- I love that they referenced the “neural scaffold” that gets built up day by day. Practically synonymous with Munger’s “latticework of mental models”.
- There’s a lot of focus in the Module 1 content on deriving value from lectures, but I see how marking up a book and actively thinking about various questions (structure, the arguments being made, the theme, the main ideas, etc) as you read is analogous. Reinforces what Mortimer talks about in How To Read A Book.

## Module 2 - Chunking

### Introduction
* Chunks: compact packs of understanding
* Also talking about illusions of competence in learning
* Effective vs ineffective learning strategies
* Interleaving (providing intelligent variety in your studies) can prevent over-learning. Make time more valuable and effective by adding that variety.

### What is a Chunk
* Chunking is the mental leap that helps fit information together for meaning. Logical whole makes it easier to remember and fit into the broader context of what you’re learning.
* Metaphor: Octopus of attention connects 4 slots of working memory to the broader memory. Makes the connections to incorporate WM into memory
* Stress reduces ability of the octopus to make connections.
* Words are a good example of a chunk (of letters)
* Mental leaps that unite scattered bits of information through meaning.
* Network of neurons used to firing together.
* Path to expertise: make chunks larger over time.
* Chunking helps brain run more efficiently by coalescing the main idea/principle instead of having random the facts/precise details laying around. Facts can be forgotten but the chunk is presumably easier to retain.

### How to Form A Chunk, Part 1
* First you always want to listen and watch. Initial sense of the pattern you want to master. Little bits form “neural mini-chunks” that are then agglomerated into larger chunks.
* Best chunks are so ingrained you don’t need to consciously think about the interrelationships.
* In math and science, helps to start out with a worked out example for this reason. You can see the key features and underlying principles of a problem.
* Over-specifying on an example is dangerous.
	* You’re looking at why individual steps work and not on the connections.
	* Need to really develop a sense of the underlying principles and how they come together into a solution
	* Metaphor: using a roadmap; if you pay attention, you’ll be able to discern many different paths to your target

### How To Form A Chunk, Part 2
* Process of chunking will vary according to the discipline.
* Steps for chunking mental ideas follow (as opposed to physical).
* Step 1: Focus
	* Focus undivided attention on the material you want to chunk.
	* Ignore distractions like phone, social media, etc!
	* Need to connect new patterns in WM to existing understanding.
* Step 2: Understand
	* Can often synthesize the gist (figure out main ideas) pretty naturally.
	* Understanding = “super glue”
	* Broad, encompassing trace that can be linked to other mental traces
	* Without understanding, it’s unlikely you can form a chunk.
	* You can usually grasp an idea in the moment (with the benefit of surrounding context) and it becomes incomprehensible later
	* You also need to be able to do it yourself.
	* Listening/seeing/understanding does not = being able to do it
	* Confucius principle comes to mind here
* Step 3: Practice
	* Chunking is bottom-up learning; want to attach the chunk to a broader context
	* How newly formed chunk fits into the bigger picture
	* Practice helps broaden network of neurons connected to chunk
	* Deliberate practice is focusing explicitly on the parts of a problem that are more difficult.
	* Also a top-down big picture process to assess what you’re learning and how it fits in with everything else.
	* Context is where bottom-up chunking and top-down big picture thinking meet.
	* Bottom-up chunking is reinforced with practice and repetition.
	* Good illustration of difference between chunking and context: chunking might be you learning a particular problem-solving tool while context informs you as to when it’s appropriate to use that tool.
* Should always walk through material beforehand to develop a big picture sense of what you’re going to be learning.
* Focused attention, understanding, and practice are the steps to get a chunk to stick.

### Recall, Illusions of Competence
* Recall
        - Rote rereading is not nearly as productive as recall (look away and see what you can remember of what you just read).
        - By simply practicing and recalling, you learn much more at a much deeper level (backed by studies).
        - When we retrieve knowledge, that process itself enhances deep learning.
        - Mental retrieval of key ideas instead of passive rereading.
        - Obviously this is why the Feynman Method is so powerful
* Illusions of Competence
	* Don’t just look at solutions and assume you would have arrived at the same answer.
	* Highlighting and underlining must be done carefully or it could be ineffective/misleading.
		* Try to look for main ideas before making marks.
		* Keep highlighting to a minimum
	* It can be easier to refer to the material again than try to prompt recall. Need to avoid this.
* Mini-testing is really just recall where you ask yourself questions about what you just read to ensure you really do get it.
* Making mistakes while attempting recall is fine! The point is to try and minimize those moving forward.

### What Motivates You?
* Learning often motivated by what you think can help you in the future, which is where your focus drifts.

### Library of Chunks
* Combining chunks in new and innovative ways is often the path to invention/creativity.
* Expertise: library of chunks
* Transfer: concepts and problem-solving methods for one discipline (say physics) might be useful in others (say business).
* Really a collection of neural patterns that you accumulate over time.
* Once again really resonating with what Munger professes.
* If you have a good library, you can listen to “whispers” from your diffuse mode to solve novel problems.
* You have to practice with your chunks.
* Different techniques are lurking at the edges of your memory.
* Sequential vs Holistic Thinking
	* Sequential: focused, each step leading to the next one after the other
	* Holistic: more like diffuse thinking making global use of several seemingly different focused mode thoughts
	* connections made by the diffuse mode are based on intuition and must therefore be verified in the focused mode
* Law of Serendipity: luck favors the one who tries; becomes easier to form chunks as you go along.

### Overlearning, Choking, Einstellung Effect, Interleaving
* Overlearning: practicing the same thing over and over again in the same study session.
	* Be wary of repetitive over learning during a single session.
	* Once you’ve got the basic idea down during a session, hammering away at it further in that same space of time is pointless.
	* Repetition can be helpful but should especially avoid doing so for easy material.
* Deliberate Practice: focus on the difficult material
* Einstellung: an initial, simple thought/neural pattern may prevent a better idea or solution from being found.
	* Means “mindset” in German
	* A roadblock that arises from your initial, misleading intuition
* Don’t jump into practicing/applying without first developing an understanding of the material.
* Mastering a new subject is about learning chunks but also learning how to select from among the chunks you’ve built.
* Interleaving: One of the best approaches to learning is to practice jumping back and forth between problems or situations that require different techniques or strategies.
	* Start interleaving practice with problems of different types and really just do whatever you can to mix up your learning.
	* Interleaving helps train the brain to know not just how to use a particular thought pattern but also when it should be applied.
	* Skipping around can feel difficult and unnatural, but interleaving builds flexibility and creativity (focuses you to think independently).
	* Interleaving is essential for divorcing yourself from traditionally inflexible, context-specific, mechanical application of knowledge.

### Personal Summary
* Recall, deliberate practice, and interleaving are some of the big takeaways from this section because they’re so counter to human nature yet effective.
* In fact, reading about mindsets and thinking back to the notion of praising people for working hard instead of being smart, you can see why a person who’s more intellectual and was taught to value intelligence might shy away from recall, deliberate practice, and interleaving: because those things introduce the opportunity to be wrong. And that quite simply feels bad.
* Recall can of course be provoked using the Feynman Method.
* Another thing to note is that these things require additional time. It’s easy to rote process material in sequence, barreling through. So there’s some degree of conscientiousness necessary to actually employ these concepts. Some selectivity as well: most content we come across is probably not worth the effort.
* Focused attention, understanding, and practice are all pretty straightforward. I think practice and especially distributed practice (spaced repetition) is the hardest aspect of this and one that isn’t often incorporated into peoples’ personal information processing systems (partly because there’s an inherent psychological friction to scheduling repetitions).
* The concept of transfer reads like Charlie Munger’s central thesis in building a latticework of mental models.
* The power of the subconscious in creativity seems to be well-established and often talked about by successful people (e.g. Adam Robinson’s 3 B’s).
* More actively incorporating metaphors and analogies is also clearly of some use.
* The 30 Second Review is a great idea. Referenced in this optional article (http://www.huffingtonpost.com/robyn-scott/the-30-second-habit-that-_b_4808632.html). The tactic is simple: take 30 seconds immediately after a significant meeting, lecture, or experience to summarize the most important points. Ideally this summary would be written down.
* The elements of luck article was another good one (http://www.telegraph.co.uk/technology/3304496/Be-lucky-its-an-easy-skill-to-learn.html). We can ‘become luckier’ by (1) following our intuition more often, (2) breaking our routine (introduce variety like taking different routes to work or talking to different people at parties), and (3) looking for the positive side of things.
* Scott Young had a few great observations in the optional video: (1) you want to feel the tension/stress of trying to solve a problem in order to know you’re really learning (just reading something doesn’t ever test your understanding), (2) self-explanation: write down (or dictate by voice) an explanation of a concept or even what you just read; go back and review what’s missing; Feynman Method, (3) create vivid examples, simple analogies/metaphors because the mind doesn’t learn abstract concepts really well; sometimes coming up with this can take time, (4) being intelligent with a subject is often a function of how much exposure you have to it, (5) do concrete, exciting, grand projects to get closer to high proficiency.

## Module 3 - Procrastination and Memory

### Tackling Procrastination
* Metaphor of arsenic ingestion for procrastination
* Need to learn to avoid procrastination and the cramming that results
* Willpower is hard to come by
* Usually procrastination is a result of feeling unhappy about something that’s difficult or painful.
* Long-term effects of habitual avoidance are nasty
* Procrastination is a ‘keystone bad habit’
* Shares features with addiction
* You can devise irrational excuses like “I’m not good enough to understand this”

### Process versus Product
* Perfectly normal to start with some negative feelings about starting a learning session.
* Non-procrastinators are able to overcome the negative feelings and inertia to just dive into it and get started (and from there it becomes easier)
* Reframe: Focus on Process Not Product
	* Process: flow of time and the habits and actions associated with that flow of time
	* Product is an outcome
	* Put attention on forming processes (habits/systems!)
	* Product triggers pain -> procrastination
	* Don’t worry about whether you accomplish a certain goal in a session; focus on calmly working towards the objective for a set period of time
	* Get to back away from judging yourself and just worry about the process
* Set yourself up so distractions are minimal

### Harnessing Habit To Avoid Procrastination
* Don’t need a full scale change; just need to override certain things
* Habits have four parts; analyze these for procrastination
* (1) The cue:
	* Recognize what launches you into procrastination mode
	* Categories: (1) location, (2) time, (3) how you feel, (4) reactions
* Since procrastination is automatic, you’re often unaware you’ve begun procrastinating.
* (2) The routine:
	* This is where you need to rewire
	* plan: e.g. leave phone in car, settle in a quiet space, disconnect internet access
* (3) The reward:
	* Emotional payoff for doing the right thing (not procrastinating)
	* Can even be literal (go to the movies, play outside, do a hobby, etc)
	* Setting a reward for a specific time is a good mini-deadline to spur work
* Can take several days of Pomodoro drudgery to get to flow
* (4) The belief:
	* You have to believe you can change your procrastination habit

### Juggling Life and Learning
* Weekly list of key tasks
* Daily Most Important Tasks (do the evening before)
* Mix other tasks in with your learning (especially those that get you to stand up from your desk)
* Plan your quitting time by demarcating that up front.
* Need to maintain healthy leisure time as well
* Eat your frogs first in the morning

### Diving Deeper Into Memory
* We have an outstanding visual and spatial memory
	* Think about for example when you explore a new home (thousands of data points that you process easily; takes a few tries if that to remember the layout and appearance)
	* Has a basis in evolution (where things are and how they look was obviously important)
* Can greatly expand memory capability by tapping into this visual-spatial type of memory
* Images are super important for memory 
	* This reminds me so much of Feynman remarking on how the truly brilliant physicists could simply “see” the solution in Surely You're Joking.
	* The visual idea should be memorable and repeated
* Good strategy is to use index cards for this purpose
* For some reason, handwriting is especially effective at encoding memories
* Can also use auditory (or other sensory) hooks
* Gradually extend time between spaced repetitions
	* Anki has a built-in algorithm to do this

### Meaningful Groups and Memory Palace Technique
* Create meaningful groups that simplify memorization
	* e.g. abbreviate the first letters of a group of items and attach to something else
	* memory tricks
* Memory Palace
	* Calling to mind a familiar place and using it as a visual notepad where you can deposit concept images
	* Call to mind the place you’re familiar with and you can drop in memorable images of things
	* Really slow at the beginning but gets easier to do and more powerful
* People who use memory tricks are provably more successful learners

### Personal Summary
* Cue, routine, reward, belief framework for interpreting habits is pretty good. I have to agree that procrastination seems to happen almost spontaneously and leads to unaccounted for losses of time.
* Focusing on process instead of product (just show up every day for a set number of hours and see what you can do) is a great idea. I think focusing on product (want to learn this much in this much time or produce a program this fast) is very limiting and especially for long-range goals like learning an entire domain or producing a big project. Also the way in which focusing on process eases or eliminates self-judgment was something that I found to be of critical importance.
* Definitely should consider Pomodoro.
* Planning quitting time is solid.  That one hadn’t occurred to me.
* Have now seen in multiple places the recommendation about handwriting being more effective in encoding information than typing (e.g. Ryan Holiday using index cards and refusing to go digital).
* Analogies/metaphors/visual images: memorable and repeated. Good to know from the Scott Young interview that it’s okay if it takes time to form these. Linking the power of visuospatial techniques to evolutionary biology was great.
* Don’t feel too strongly about memory hacks. I feel more dissuaded from that tactic because of the inherent pointlessness of memorizing facts.

## Module 4 - Renaissance Learning and Unlocking Your Potential

### How To Become A Better Learner
* Exercise encourages development of new neurons in the hippocampus
	* “By far more effective than any drug on the market for helping you to learn better.”

### Introduction
* Wrap up important ideas and techniques
* metaphor/analogy, working with teammates, testing well
* Periods wherein you feel like you’re taking steps backward are to be expected

### Create A Lively Visual Metaphor or Analogy
* Metaphors are never perfect but can still be effective ways of getting at the central concept of an idea
* Not a lot of very good suggestions in this section

### Imposter Syndrome
* Greater understanding results from getting your mind to struggle with the concepts and ideas (not having it told to you by someone else or a book)
* Often have to make complex decisions rapidly: shut down active conscious and rely on intuition
* Focus on deliberate practice to become much smarter than you would suspect were within your capabilities

### Change Your Thoughts, Change Your Life
* Neuroscience suggests that you can influence development of neuronal circuits by practicing thoughts that exercise those neurons
* Perseverance is “the virtue of the less intelligent” (Santiago Ramon y Cahal)
* “Taking responsibility for your own learning is one of the most important things you can do.”
	* Letting yourself work on your own to build your understanding and explore with freedom

### The Value Of Teamwork
* “The first principle is that you must not fool yourself - and you are the easiest to fool” (Richard Feynman)
* Since everyone has blind spots, it really helps to work in groups.
